﻿<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="HLPConfiguracion.aspx.cs" Inherits="Seven.DSS.HLPConfiguracion" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Seven Ayuda - Configuración</title>
    
    <!-- #include file="JS_CSS.html" -->

    <script type="text/javascript">
        $(document).ready(function () {
            $("#SevenMenu").accordion("option", "active", 1);
        });
    </script>

    <style type="text/css">
        .HLPImagen
        {
           padding:1px;
           border:1px solid #021a40;
        }
    </style>
        
</head>
<body>
    <div id="wrap">
        
        <div id="contenido">
        
            <!-- #include file="Accordion.html" -->
            
            <div id="cuerpo">
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <a href="Contenidos.aspx">Contenidos</a>
                    <img src="../img/arrow.png" alt="" />
                    <a href="HLPConfiguracion.aspx">Configuración</a>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 600px; height: 1100px;">

                            <br />

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo">Configuración</span>
                                    </td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="../Configuracion.aspx" id="A1" ><img src="../img/sitemap-application.png" /> Ir al Módulo</a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                            </table>

                            <p style="font-size: 12pt; white-space: normal;" align="justify">En este módulo puede establecer los parámetros 
                            globales de configuración del sistema.</p>

                            <table width="100%"><tr><td align="center">
                            <img class="HLPImagen" src="img/C_Configuracion.png"/>
                            </td></tr></table>
                            
                            <h3>Editar:</h3>

                            <p style="font-size: 12pt; white-space: normal;" align="justify">Cuando desee proceder a guardar los cambios
                                    oprima el botón de [<img src="../img/disk.png" alt="Guardar" /> Guardar]. El sistema aplicará la nueva configuración inmediatamente.</b></p>

                            <h3>Datos del Módulo:</h3>

                            <div class="SevenEnlaces">
                                <table width="100%">
                                    <tr>
                                        <td width="30%"><b>Importación de Datos de Pólizas SIAS </b></td>
                                        <td width="70%"><b>Configuración para inportar pólizas del SIAS</b></td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Línea para Pólizas de Automóviles: </b></td>
                                        <td width="70%">Línea para las pólizas de vehículos. </td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Línea para Pólizas de Incendio:  </b></td>
                                        <td width="70%">Línea para las pólizas de incendio. </td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Tipo de Cliente Predeterminado:  </b></td>
                                        <td width="70%">Tipo de Cliente Predeterminado cuando se crea un Cliente nuevo. </td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Integración con Seven Accounting </b></td>
                                        <td width="70%"><b>Configuración de la integración con Seven Accounting</b></td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Empresa en Seven Accounting:  </b></td>
                                        <td width="70%">Empresa en Accounting para usar.</td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Moneda Colones (CRC) en Seven Accounting:  </b></td>
                                        <td width="70%">Moneda correspondiente a colones. </td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Moneda Dólares (USD) en Seven Accounting:   </b></td>
                                        <td width="70%">Moneda correspondiente a dólares estadounidenses. </td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Tipo de Cuenta para Agentes: </b></td>
                                        <td width="70%">Tipo de cuenta sobre el cual cargar las cuentas contables para
                                        <br />los agentes. </td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Tipo de Cuenta para Clientes: </b></td>
                                        <td width="70%">Tipo de cuenta sobre el cual cargar las cuentas contables para
                                        <br />los clientes. </td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Impuesto de Ventas:   </b></td>
                                        <td width="70%">Impuesto de Ventas. </td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Seguridad del Sistema </b></td>
                                        <td width="70%"><b>Configuración para inportar pólizas del SIAS</b></td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Utilizar Captcha para Iniciar Sesión:  </b></td>
                                        <td width="70%">Si se utilizará un Captcha al iniciar sesión.</td>
                                    </tr>
                                </table>
                            </div>
                            <table width="100%">
                                <tr>
                                    <td colspan="2" align="right"><span class="error">* Requerido</span></td>
                                </tr>
                            </table>
                            
                        </div>
                    
                    </div>
                
                </div>

                <!-- #include file="StatusBarLogin.html" -->
            
            </div>
        
        </div>
    
    </div>
</body>
</html>
