﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelFDK.Master" AutoEventWireup="true" CodeBehind="CHARTFrontDailyAnnual.aspx.cs" Inherits="Seven.DSS.CHARTFrontDailyAnnual" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>FDK - <%=L.TIT("InformeDiario") %> (<%=L.LBL("LblGENGrafico") %>)</title>

    <% 
       Seven.DSS.Objects.Cache c;
       if(String.IsNullOrEmpty(Request.Cookies[Parametros.COOKIE_USR].Value))
       {
           c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value)));
       }
       else
       {
           c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value)));
       } 
    %>

    <!--[if lt IE 9]><script language="javascript" type="text/javascript" src="excanvas.js"></script><![endif]-->
    <script language="javascript" type="text/javascript" src="js/jquery.jqplot.min.js"></script>
    <link rel="stylesheet" type="text/css" href="js/jquery.jqplot.css" />
    <script type="text/javascript" src="js/plugins/jqplot.dateAxisRenderer.min.js"></script>
    <script type="text/javascript" src="js/plugins/jqplot.canvasTextRenderer.min.js"></script>
    <script type="text/javascript" src="js/plugins/jqplot.canvasAxisTickRenderer.min.js"></script>
    <script type="text/javascript" src="js/plugins/jqplot.categoryAxisRenderer.min.js"></script>
    <script type="text/javascript" src="js/plugins/jqplot.barRenderer.min.js"></script>
    <script type="text/javascript" src="js/plugins/jqplot.highlighter.min.js"></script>

    <script type="text/javascript">

        function mostrarAjaxTasaMoneda(link, elem, mone) {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdMoneda": mone
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>" },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    //$("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    //$("#" + elem).html(json.d);
                    $("#txtTasa").val(json.d);
                    jQueryUIOtraVez();
                }
            });
        };

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='CHARTFrontDailyAnnual.aspx?op=' + $('#cbDatosFront').val();
        }

        function cargarTasa(mone) { 
            mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMoneda', 'ComboMoneda', mone);
        }

        function imprimirPopup(elem) {
            var div, imp;
            div = document.getElementById(elem);
            imp = window.open(" ", "Impresion");
            imp.document.open();
            imp.document.write("<html><head><link rel='stylesheet' type='text/css' href='<% Response.Write(Request.Url.Authority); %>/js/jquery.jqplot.css' />"
            + "</head><body>");
            imp.document.write(div.innerHTML);
            imp.document.write("</body></html>");
            imp.document.close();
            imp.print();
            imp.close();
        }

        function obtenerImagen() {
            var imgData = $('#grafico').jqplotToImageStr({});
            var imgElem = $('<img/>').attr('src', imgData);
            $('#ImagenGrafico').html('');
            $('#ImagenGrafico').append(imgElem);
            $("#dlgExportar").dialog('open');
        }

        (function ($) {
            $.jqplot.euroFormatter = function (format, val) {
                if (!format) {
                    format = '%.1f';
                }
                return '' + numberWithCommas($.jqplot.sprintf(format, val));
            };

            function numberWithCommas(x) {
                return x.toString().replace(/\B(?=(?:\d{3})+(?!\d))/g, ",");
            }
        })(jQuery);

        <%

            DateTime HoteleraJS = DateTime.Today;
            try{

                Identidad iden = new Identidad(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))
                    , Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_NOM].Value), int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_DAT].Value))
                    , Request.ServerVariables["REMOTE_ADDR"]);

                HoteleraJS = Seven.DSS.Business.Logica.ConsultarFechaHotelera(iden);
            }
            catch(Exception){ }
        
         %>

        function ValidarFechaMenorHotelera()
        {
            var tempi = $("#txtFechaPronost").val();
            if(tempi == '')
            {
                return false;
            }

            //Declare regex
            var rxDatePattern = /^(\d{1,2})(\/|-)(\d{1,2})(\/|-)(\d{4})$/;

            var dtArrayi = tempi.match(rxDatePattern); // is format OK?
            if (dtArrayi == null){
                return false;
            }
        
            var fecini   = new Date(dtArrayi[5], dtArrayi[3] - 1, dtArrayi[1]);
            var fechotel = new Date(<% Response.Write(HoteleraJS.Year); %>, <% Response.Write(HoteleraJS.Month); %> - 1, <% Response.Write(HoteleraJS.Day); %>);

            if((fecini <= fechotel))
            {
                return true;
            }
            else
            {
                return false;
            }

        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgExportar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 550,
                width: 950,
                modal: true
            });

            $("#dlgErrorHotel").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true,
                buttons: [ { text: "Aceptar", click: function() { $('#dlgErrorHotel').dialog('close'); } } ]
            });

            $('#cbMoneda').val(<% Response.Write(c.FrontMoneda); %>);

            <% if(c.AccTasa == 0){ %>

                mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMoneda', 'ComboMoneda', <% Response.Write(c.FrontMoneda); %>);

            <% } %>

            <% if(!String.IsNullOrEmpty(DataLines)){ %>

            <% Response.Write(DataLines); %>

              $('#grafico').html('');
 
              var plot1 = $.jqplot('grafico', [line1, line2, line3], {
                title: 'Informe Diario del <%=Ejercicio + Moneda %> <%="Reconstruir Pronóstico Desde: " + String.Format("{0:d}", c.FrontFechaPronost) + ", Usuario: " + Usuario %>',
                //series:[{renderer:$.jqplot.BarRenderer}],
                axesDefaults: {
                    tickRenderer: $.jqplot.CanvasAxisTickRenderer ,
                    tickOptions: {
                      angle: 0,
                      fontSize: '8pt'
                    }
                },
                axes: {
                  xaxis: {
                    renderer: $.jqplot.CategoryAxisRenderer
                  },
                  yaxis: {
                    tickOptions: {formatString:'%.2f', formatter: $.jqplot.euroFormatter}
                  }
                },
                series:[
                      {label:'Ingreso Real', color: 'lavender', renderer: $.jqplot.BarRenderer, rendererOptions: { highlightMouseDown: true }}, {label:'Ingreso Pronosticado', color: 'blue'}, {label:'Real + PV', color: 'purple'}
                    ],
                highlighter: {
                    show: true,
                    sizeAdjust: 7.5,
                    tooltipAxes: 'y'
                },
                legend: { show:true, location: 'ne', placement: 'outside' }
              });

            <% } %>

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbUsuario').val(<%=c.FrontUsuario %>);

            $('#cbDatosFront').val(<%=c.DatosFDK %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/e-book-reader24.png" />
                                            </td>
                                            <td>
                                                <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="CHARTFrontDailyAnnual.aspx">FDK - <%=L.TIT("InformeDiario") %> (<%=L.LBL("LblGENGrafico") %>)</a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 900px; height: 700px;">

                            <div id="dlgErrorHotel" title="Fecha mayor que la fecha hotelera" style="text-align: center;padding-top: 25px">
                                <table width="100%">
                                    <tr>
                                        <td width="100%">
                                            No pueden existir reservas con fecha de realizacion mayor a la fecha <br />que tiene el Hotel la cual es 
                                            <% 
                                                Identidad iden2 = new Identidad(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))
                                                    , Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_NOM].Value), int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_DAT].Value))
                                                    , Request.ServerVariables["REMOTE_ADDR"]);
                                            
                                                Response.Write(Seven.DSS.Globals.Tools.FechaMayusculas(String.Format("{0:dddd d 'de' MMMM 'de' yyyy}", 
                                                Seven.DSS.Business.Logica.ConsultarFechaHotelera(iden2)))); %>.
                                        </td>
                                    </tr>
                                </table>
                            </div>

                            <% if(!MensajeError.Contains("is no row")){ %>

                            <table width="100%">
                                <tr>
                                    <td colspan="2">
                                        <% if(!String.IsNullOrEmpty(MensajeError)){ %>
                                        <span class="SevenMsgError" style="font-size: 10pt;"><% Response.Write(MensajeError); %></span>
                                        <% }else{ %>
                                        <span style="font-size: 10pt;">&nbsp;</span>
                                        <% } %>
                                        
                                    </td>
                                </tr>
                            </table>

                            <% } %>

                            <div id="dlgExportar" title="Exportar a Imagen PNG" style="text-align: center;padding-top: 25px">
                                <table width="100%">
                                    <tr>
                                       <td width="100%">
                                            Para guardar la imagen del gráfico, de click derecho en el grafico y luego click en 'Guardar imagen como...':
                                       </td>
                                    </tr>
                                </table>
                                <br />
                                <div id="ImagenGrafico"></div>
                            </div>

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("InformeDiario") %> (<%=L.LBL("LblGENGrafico") %>)</span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="#" id="A2" onclick="if(ValidarFechaMenorHotelera()){ $('#dlgCargando30Min').dialog('open'); window.location.href='RPTFrontDailyAnnual.aspx?y=' + $('#txtAno').val() + '&d=' + $('#cbMoneda').val() + '&f=' + $('#txtFechaPronost').val(); }else{ $('#dlgErrorHotel').dialog('open'); }" ><img src="img/folder-bookmark.png" /> Informe</a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td><b><%=L.LBL("LblBSDatos") %>: </b></td>
                                    <td>
                                        <%=cbDatosFront %>
                                    </td>
                                    <!--
                                    <td>
                                        <button type="button" onclick="window.location.href='CHARTFrontDailyAnnual.aspx?op=' + $('#cbDatosFront').val();">
                                            <table><tr><td><img src="img/database-gold.png" alt="Base de Datos" /></td><td>Cambiar</td></tr></table>
                                        </button>
                                    </td>
                                    -->
                                </tr>
                            </table>

                            
                            <table>
                                <tr>
                                    <td>Moneda: </td>
                                    <td>
                                        <%=cbMoneda %>
                                    </td>
                                    <td>Año: </td>
                                    <td>
                                        <input type="text" id="txtAno" name="txtAno" value="<% Response.Write(c.FrontAno); %>" />
                                    </td>
                                </tr>
                            </table>

                            <table>
                                <tr>
                                    <td colspan="2">Reconstruir Pronóstico Desde: </td>
                                    <td>
                                        <input type="text" id="txtFechaPronost" name="txtFechaPronost" class="eligeFechaNoMayHotel" value="<% Response.Write(String.Format("{0:d}", c.FrontFechaPronost)); %>" />
                                    </td>
                                    <td>
                                        Usuario:
                                    </td>
                                    <td>
                                        <%=cbUsuario %>
                                    </td>
                                    <td>
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" onclick="if(ValidarFechaMenorHotelera()){ $('#dlgCargando30Min').dialog('open'); window.location.href='CHARTFrontDailyAnnual.aspx?y=' + $('#txtAno').val() + '&d=' + $('#cbMoneda').val() + '&f=' + $('#txtFechaPronost').val() + '&o=' + $('#cbUsuario').val(); }else{ $('#dlgErrorHotel').dialog('open'); }" >
                                                        <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td></td>
                                    <td>
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" onclick="obtenerImagen();" >
                                                        <table><tr><td><img src="img/image24.png" alt="Imagen" /></td><td>Exportar a Imagen PNG</td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>

                            <table>
                                <tr>
                                    <td>
                                        <div id="grafico" style="width:800px; height:400px;">
                                            <span style="font-size: 16pt; font-style: italic; white-space: normal;">
                                                <br /><br /><br /><br /><br /><br />
                                                Por favor haga su selección de criterios y luego oprima el botón de Ver para ver el gráfico.
                                            </span>
                                        </div>
                                    </td>
                                </tr>
                            </table> 

                            <table class="SevenMsgExito">
                                <tr>
                                    <td style="font-size: 10pt; text-align: justify; white-space: normal;">
                                        Grafico que compara la estadística con el ingreso pronosticado de las reservas y rooming realizados de la fecha de reconstrucción 
                                        hacia atrás. Muy útil para medir metas. No se tomarán en cuenta reservas o rooming en estado anulado para este cálculo.<br />
                                        <br />
                                        Los montos son presentados sin impuestos.<br />
                                        <br />
                                        Se puede escoger un usuario de Seven Front Desk para obtener lo facturado y pronosticado en base a las reservas,
                                        rooming list y walk-ins que haya registrado en el sistema.
                                    </td>
                                </tr>
                            </table>

                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
