﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelACC.Master" AutoEventWireup="true" CodeBehind="RPTAccBalCom.aspx.cs" Inherits="Seven.DSS.RPTAccBalCom" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>ACC - <%=L.TIT("BalanceComprobacion") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function mostrarAjaxPeriodo(link, elem, id, elegir)
        {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdPeriodo": id, "Elegir": elegir
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    $("#cbPeriodo").attr("disabled", true);
                },
                success: function (json) {
                    $("#cbPeriodo").html(json.d);
                    $("#cbPeriodo").attr("disabled", false);
                    jQueryUIOtraVez();
                    document.getElementById('cbPeriodo').focus();
                }
            });
        };

        function mostrarAjaxTasaMoneda(link, elem, mone) {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdMoneda": mone, "IdEmpresa": $('#cbEmpresa').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>" },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    //$("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    //$("#" + elem).html(json.d);
                    $("#txtTasa").val(json.d);
                    var tasa = parseFloat(json.d);
                    if(tasa == 1)
                    {
                        $("#txtTasa").attr('readonly','readonly');
                    }
                    else
                    {
                        $("#txtTasa").removeAttr('readonly');
                    }
                    jQueryUIOtraVez();
                }
            });
        };

        function cargarTasa(mone) {
            mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMonedaAcc', 'ComboMoneda', mone);
        }

        function cargarComboPeriodos(id){
            mostrarAjaxPeriodo('Servicio.svc/ConsultarPeriodosComboTodo', 'ComboPeriodo', id, 0);
        }

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTAccBalCom.aspx?op=' + $('#cbDatosAcc').val();
        }

        function Ver()
        {
            window.open('Informe.aspx?r=2040&b=' + $('#cbEmpresa').val() 
                + '&ej=' + $('#cbEjercicio').val() 
                + '&p=' + $('#cbPeriodo').val() 
                + '&m=' + $('#cbMoneda').val() 
                + '&t=' + $('#txtTasa').val()
            , '_blank');
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $('#cbEmpresa').val(<% Response.Write(c.AccEmpresa); %>);
            $('#cbEjercicio').val(<% Response.Write(c.AccEjercicio); %>);
            $('#cbMoneda').val(<% Response.Write(c.AccMoneda); %>);

            mostrarAjaxPeriodo('Servicio.svc/ConsultarPeriodosComboTodo', 'ComboPeriodo', <% Response.Write(c.AccEjercicio); %>, <% Response.Write(c.AccPeriodo); %>);

            <% if(c.AccTasa == 0){ %>

                mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMoneda', 'ComboMoneda', <% Response.Write(c.AccMoneda); %>);

            <% } %>

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbDatosAcc').val(<%=c.DatosACC %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }

        b
        {
            color: black;
        }

        h4
        {
            font-size: 11pt;
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/e-book-reader24.png" />
                                            </td>
                                            <td>
                                                <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTAccBalCom.aspx">ACC - <%=L.TIT("BalanceComprobacion") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 650px; height: 500px;">

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("BalanceComprobacion") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td><%=L.LBL("LblBSDatos") %>: </td>
                                    <td>
                                        <%=cbDatosAcc %>
                                    </td>
                                    <!--
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTAccBalCom.aspx?op=' + $('#cbDatosAcc').val();">
                                            <table><tr><td><img src="img/database-gold.png" alt="Base de Datos" /></td><td>Cambiar</td></tr></table>
                                        </button>
                                    </td>
                                    -->
                                </tr>
                            </table>

                            <br />
                            
                            <table width="60%">
                                <tr>
                                    <td>Empresa: </td>
                                    <td colspan="3">
                                        <%=cbEmpresa %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>Ejercicio:</td>
                                    <td>
                                        <%=cbEjercicio %>
                                    </td>
                                    <td>Periodo:</td>
                                    <td>
                                        <select name="cbPeriodo" id="cbPeriodo" style="width: 180px;" disabled>
                                            <option value="0">--- Elija Ejercicio ---</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td>Moneda: </td>
                                    <td>
                                        <%=cbMoneda %>
                                    </td>
                                    <td>Tasa: </td>
                                    <td>
                                        <input type="text" id="txtTasa" name="txtTasa" <% if(c.AccTasa == 1){ %> readonly="readonly" <% } %> value="<% Response.Write(c.AccTasa); %>" />
                                    </td>
                                    <td>
                                        <button type="button" onclick="Ver();" >
                                                <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                        </button>
                                    </td>
                                </tr>
                                <!--
                                <tr>
                                    <td>
                                        Tipo de Informe:
                                    </td>
                                    <td>
                                        <input type="radio" name="rbTipoInforme" value="2" <% if(c.AccTipoInforme == 2){ %> checked <% } %>/> Totalizado
                                        <input type="radio" name="rbTipoInforme" value="1" <% if(c.AccTipoInforme == 1){ %> checked <% } %>/> Resumido
                                        <input type="radio" name="rbTipoInforme" value="0" <% if(c.AccTipoInforme == 0){ %> checked <% } %> /> Detallado
                                    </td>
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTAccBalCom.aspx?b=' + $('#cbEmpresa').val() + '&e=' + $('#cbEjercicio').val() + '&p=' + $('#cbPeriodo').val() 
                                            + '&i=' + $('input:radio[name=rbTipoInforme]:checked').val() + '&m=' + $('#cbMoneda').val() + '&t=' + $('#txtTasa').val();" >
                                                <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td></td>
                                </tr>
                                -->
                            </table>

                            <br />

                            <div style="height: 350px; overflow-x: hidden; overflow-y: scroll;">

                                <table class="SevenMsgExito">
                                    <tr>
                                        <td style="font-size: 10pt; text-align: justify; white-space: normal; padding: 5px;">
                                            <h4>Descripción:</h4>
                                            Este reporte del área contable muestra todas las cuentas del catálogo, diseñado para ver saldos de débitos (debe) y créditos (haber) en un <br />
                                            periodo determinado, es muy utilizado para encontrar errores de digitación como por ejemplo que se registren  movimientos en una cuenta de <br />
                                            un proveedor que realmente era para otro.<br /> 

                                            <h4>Balance de Comprobación Anual:</h4>
                                            En Periodo seleccione <b>[Todos]</b> para ver el Balance de Comprobación Anual, el cual permite ver el saldo de las cuentas periodo a periodo durante el ejercicio fiscal seleccionado.

                                            <h4>Consejos:</h4>
                                            Puede saber en qué cuenta se digitaron montos erróneos viendo su naturaleza de si es acreedora o <br />
                                            deudora, en forma simple las cuentas deudoras el monto de la columna “debe” suman en la cuenta y el monto del “haber” restan en la cuenta <br />
                                            estas cuentas tienen una “<b>D</b>” y las cuentas acreedoras “<b>A</b>” suman en la cuenta en el “haber” y restan en el “debe”. Un ejemplo práctico se <br />
                                            puede razonar de la siguiente manera si en una cuenta por pagar que son acreedoras, el saldo inicial esta en 0 y en ese periodo tiene <br />
                                            registrado un monto en el “debe”, se puede interpretar como que está pagando algo que no se debe, debe consultar porque en muchos casos <br />
                                            esto es por ajustes y no por mala práctica contable o como se decía anteriormente se registró en una cuenta incorrecta.<br /><br />

                                            <h4>Trato de la cuenta según su naturaleza:</h4><b></b><br />

                                            <table width="40%">
                                                <tr>
                                                    <td>
                                                    <b>Cuenta</b>
                                                    </td>
                                                    <td>
                                                    <b>Naturaleza</b>
                                                    </td>
                                                </tr>
                                                <tr><td>Efectivo</td><td>Deudora</td></tr>
                                                <tr><td>Bancos</td><td>Deudora</td></tr>
                                                <tr><td>Tarjetas de Credito</td><td>Deudora</td></tr>
                                                <tr><td>Cuentas por cobrar</td><td>Deudora</td></tr>
                                                <tr><td>Inventario</td><td>Deudora</td></tr>
                                                <tr><td>Activos Fijos</td><td>Deudora</td></tr>
                                                <tr><td>Cuentas por pagar</td><td>Acreedora</td></tr>
                                                <tr><td>Ingresos</td><td>Acreedora</td></tr>
                                                <tr><td>Costo de Ventas</td><td>Deudora</td></tr>
                                                <tr><td>Gastos</td><td>Deudora</td></tr>
                                                <tr><td>Utilidades</td><td>Acreedora</td></tr>
                                                <tr><td>Capital Inicial</td><td>Acreedora</td></tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>

                            </div>

                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
