﻿<%@ Import Namespace="Seven.DSS" %>
<%@ Import Namespace="Seven.DSS.Business" %>
<%@ Import Namespace="Seven.DSS.Globals" %>
<%@ Import Namespace="Seven.DSS.Objects" %>

<%@ Page Language="C#" MasterPageFile="ModelFDK.Master" AutoEventWireup="true" CodeBehind="RPTFrontExplotacion.aspx.cs" Inherits="Seven.DSS.RPTFrontExplotacion" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title>FDK - <%=L.TIT("EstadisticasExplotacion") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function mostrarAjaxTasaMoneda(link, elem, mone) {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdMoneda": mone
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>" },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    //$("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    //$("#" + elem).html(json.d);
                    $("#txtTasa").val(json.d);
                    var tasa = parseFloat(json.d);
                    if(tasa == 1)
                    {
                        $("#txtTasa").attr('readonly','readonly');
                    }
                    else
                    {
                        $("#txtTasa").removeAttr('readonly');
                    }
                    jQueryUIOtraVez();
                }
            });
        };

        function cargarTasa(mone) {
            mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMonedaFront', 'ComboMoneda', mone);
        }

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTFrontExplotacion.aspx?op=' + $('#cbDatosFront').val();
        }

        function Ver() {
            window.open('Informe.aspx?r=16'
                + '&i=' + $('#cbExplotacionOrden').val()
                + '&s=' + $('#txtInicio').val()
                + '&f=' + $('#txtFin').val()
                + '&m=' + $('#cbMoneda').val()
                + '&t=' + $('#txtTasa').val()
                + '&o=' + $('input[name=rbOrden]:checked').val()
                + '&g=' + $('#cbAgrup:checked').val()
                + "&fe=" + $("input[name=cbFil_id_agen]:checked").val() + "&ve=" + $('#cbEmpresa').val()
                + "&fm=" + $("input[name=cbFil_id_merc]:checked").val() + "&vm=" + $('#cbMercado').val()
                + "&ft=" + $("input[name=cbFil_id_cont]:checked").val() + "&vt=" + $('#cbContrato').val()
                + "&fk=" + $("input[name=cbFil_id_thab]:checked").val() + "&vk=" + $('#cbTipoHabi').val()
                + "&fu=" + $("input[name=cbFil_id_uhab]:checked").val() + "&vu=" + $('#cbUsoHab').val()
                + "&fq=" + $("input[name=cbFil_tipo]:checked").val() + "&vq=" + $('input[name=rbTipo]:checked').val()
            , "_blank");
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgFiltro").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 270,
                width: 480,
                modal: true,
                buttons: {
                    "Ver": function () {
                        Ver();
                    },
                    "Cerrar": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $('#cbExplotacionOrden').val(<% Response.Write(c.FrontExplotacionOrden); %>);

            $('#cbMoneda').val(<%=c.FrontMoneda %>);

            <% if (c.FrontTasa == 0)
               { %>

            mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMonedaFront', 'ComboMoneda', <% Response.Write(c.FrontMoneda); %>);

            <% } %>

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbDatosFront').val(<%=c.DatosFDK %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div {
            overflow: hidden;
        }
    </style>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="RPTFrontExplotacion.aspx">FDK - <%=L.TIT("EstadisticasExplotacion") %></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 600px; height: 400px;">

                <div id="dlgFiltro" title="Filtrar" style="text-align: center; padding-top: 25px">
                    <table style="text-align: left;">
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_id_agen" name="cbFil_id_agen" value="1" />
                            </td>
                            <td>
                                Agencia:
                            </td>
                            <td>
                                <%=cbEmpresa %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_id_merc" name="cbFil_id_merc" value="1" />
                            </td>
                            <td>
                                Mercado:
                            </td>
                            <td>
                                <%=cbMercado %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_id_cont" name="cbFil_id_cont" value="1" />
                            </td>
                            <td>
                                Contrato:
                            </td>
                            <td>
                                <select name="cbContrato" id="cbContrato" onchange="$('input[name=cbFil_id_cont]').prop('checked', true);" style="width: 150px;">
                                    <option value="0" selected="" /> 
                                    <%
                                        foreach (System.Data.DataRow dr in Contratos.Rows)
                                        {
                                            Response.Write(Utils.GetSelectOption(dr["id_cont"].ToString(), dr["contrato"].ToString().Trim() + " - " + dr["desc_cont"].ToString().Trim(), false));
                                        }
                                    %>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_id_thab" name="cbFil_id_thab" value="1" />
                            </td>
                            <td>
                                Tipo de Habitación:
                            </td>
                            <td>
                                <%=cbTipoHabi %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_id_uhab" name="cbFil_id_uhab" value="1" />
                            </td>
                            <td>
                                Uso de Habitación:
                            </td>
                            <td>
                                <%=cbUsoHabi %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_tipo" name="cbFil_tipo" value="1" />
                            </td>
                            <td>
                                Ver:
                            </td>
                            <td>
                                <input type="radio" name="rbTipo" value="1" onclick="$('input[name=cbFil_tipo]').prop('checked', true);" checked="checked" />Directos
                                <input type="radio" name="rbTipo" value="0" onclick="$('input[name=cbFil_tipo]').prop('checked', true);" />Empresas
                            </td>
                        </tr>
                    </table>
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("EstadisticasExplotacion") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="$('#dlgFiltro').dialog('open');" id="AF">
                                                <img src="../img/funnel.png" />
                                                Filtrar
                                            </a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="Ayuda/HLPInformes.aspx" id="A1">
                                                <img src="img/question.png" />
                                                Ayuda</a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td><b>Base de Datos:</b></td>
                        <td>
                            <%=cbDatosFront %>
                        </td>
                    </tr>
                </table>

                <br />

                <fieldset>

                    <table width="60%">
                        <tr>
                            <td>Tipo de Informe: </td>
                            <td>
                                <%=cbExplotacionOrden %>
                            </td>
                            <td colspan="2"><input type="checkbox" id="cbAgrup" value="1" <%=c.FrontAgrupMeses ? "checked=\"checked\"" : "" %>/>Agrupar por Meses</td>
                        </tr>
                        <tr>
                            <td>Desde: </td>
                            <td>
                                <input type="text" id="txtInicio" name="txtInicio" class="eligeFecha" value="<% Response.Write(String.Format("{0:d}", c.FrontESEXInicio)); %>" />
                            </td>
                            <td>Hasta: </td>
                            <td>
                                <input type="text" id="txtFin" name="txtFin" class="eligeFecha" value="<% Response.Write(String.Format("{0:d}", c.FrontESEXFin)); %>" />
                            </td>
                        </tr>
                        <tr>
                            <td>Moneda: </td>
                            <td>
                                <%=cbMoneda %>
                            </td>
                            <td>Tasa: </td>
                            <td>
                                <input type="text" id="txtTasa" name="txtTasa" <% if (c.FrontTasa == 1)
                                                                                  { %> readonly="readonly" <% } %> value="<% Response.Write(c.FrontTasa); %>" />
                            </td>
                            <td>
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="button" onclick="$('#dlgFiltro').dialog('open');" style="width: 70px;">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/funnel.png" alt="Filtrar" /></td>
                                                        <td>Filtrar</td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>Ordenar por:</td>
                            <td colspan="3">
                                <input type="radio" name="rbOrden" value="0" <% if(c.FrontESEXOrden == 0){ %> checked="checked" <% } %> />Nombre
                                <input type="radio" name="rbOrden" value="1" <% if(c.FrontESEXOrden == 1){ %> checked="checked" <% } %> />Ing. Hospedaje
                                <input type="radio" name="rbOrden" value="2" <% if(c.FrontESEXOrden == 2){ %> checked="checked" <% } %> />Ing. Régimen
                                <input type="radio" name="rbOrden" value="3" <% if(c.FrontESEXOrden == 3){ %> checked="checked" <% } %> />Ing. Otros<br />
                                <input type="radio" name="rbOrden" value="4" <% if(c.FrontESEXOrden == 4){ %> checked="checked" <% } %> />Entradas Habiaciones
                                <input type="radio" name="rbOrden" value="5" <% if(c.FrontESEXOrden == 5){ %> checked="checked" <% } %> />Estancias Habitaciones<br />
                                <input type="radio" name="rbOrden" value="6" <% if(c.FrontESEXOrden == 6){ %> checked="checked" <% } %> />Entradas Clientes
                                <input type="radio" name="rbOrden" value="7" <% if(c.FrontESEXOrden == 7){ %> checked="checked" <% } %> />Estancias Clientes
                            </td>
                            <td>
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="button" onclick="Ver();" style="width: 70px;">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/magnifier16.png" alt="Ver" /></td>
                                                        <td>Ver</td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                </fieldset>

                <br />

                <table width="100%" class="SevenMsgExito">
                    <tr>
                        <td width="100%" style="font-size: 10pt; text-align: justify; white-space: normal;">
                            La información estadística detallada por agencias no incluye los ingresos registrados desde Puntos de Venta.<br /><br />
                            El ingreso promedio de hospedaje es calculado teniendo en cuenta los ingresos de hospedaje + Ing.Reg.Aloj.<br /><br />
                            La columna de Ing.Reg.Aloj calcula los ingresos por Régimen de Alojamiento (Extras o agencias).<br /><br />
                            Los montos son presentados sin impuestos.
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>
