﻿<%@ Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelFDK.Master" AutoEventWireup="true" CodeBehind="RPTFrontReRo.aspx.cs" Inherits="Seven.DSS.RPTFrontReRo" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>FDK - <%=L.TIT("ReservasRealizadas") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTFrontReRo.aspx?op=' + $('#cbDatosFront').val();
        }

        function Ver()
        {
            window.open('Informe.aspx?r=110&y=' + $('#txtAno').val(), '_blank');
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbDatosFront').val(<%=c.DatosFDK %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

        <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/e-book-reader24.png" />
                                            </td>
                                            <td>
                                                <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTFrontReRo.aspx">FDK - <%=L.TIT("ReservasRealizadas") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 350px; height: 250px;">

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("ReservasRealizadas") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                            </table>

                            <br />

                            <table>
                                <tr>
                                    <td><b><%=L.LBL("LblBSDatos") %>:</b> </td>
                                    <td>
                                        <%=cbDatosFront %>
                                    </td>
                                </tr>
                            </table>

                            <br />
                            
                            <table width="100%">
                                <tr>
                                    <td>Año: </td>
                                    <td>
                                        <input type="text" id="txtAno" name="txtAno" value="<% Response.Write(c.FrontAno); %>" />
                                    </td>
                                    <td>
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" onclick="Ver();" >
                                                        <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td width="100%"></td>
                                </tr>
                            </table>

                            <br />

                            <table class="SevenMsgExito">
                                <tr>
                                    <td style="font-size: 10pt; text-align: justify; white-space: normal; padding: 5px;">
                                        El reporte muestra reservas realizadas por operador donde "<b>Reservas</b>" corresponde según el manejo correcto del sistema a reservas de directos y
                                        "<b>Rooming</b>" a reservas realizadas para agencias.
                                    </td>
                                </tr>
                            </table>
                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
