﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelINV.Master" AutoEventWireup="true" CodeBehind="RPTInvEstado.aspx.cs" Inherits="Seven.DSS.RPTInvEstado" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>INV - <%=L.TIT("SituacionModulo") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function mostrarAjaxEjercicio(link, elem, elegir)
        {
            $.ajax({
                type: "GET",
                url: link,
                data: { "Elegir": elegir
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>" },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    $("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    $("#" + elem).html(json.d);
                    jQueryUIOtraVez();
                }
            });
        };

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTInvEstado.aspx?op=' + $('#cbDatosInv').val();
        }

        function Ver()
        {
            window.open('Informe.aspx?r=20&e=' + $('#cbEjercicio').val());
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $('#cbEjercicio').val(<% Response.Write(c.InvEjercicio); %>);
            
            <% if(c.AccTasa == 0){ %>

                //mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMoneda', 'ComboMoneda', <% Response.Write(c.AccMoneda); %>);

            <% } %>

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbDatosInv').val(<%=c.DatosINV %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/e-book-reader24.png" />
                                            </td>
                                            <td>
                                                <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTInvEstado.aspx">INV - <%=L.TIT("SituacionModulo") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 500px; height: 450px;">

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("SituacionModulo") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                            </table>

                            <br />

                            <table>
                                <tr>
                                    <td><b><%=L.LBL("LblBSDatos") %>: </b></td>
                                    <td>
                                        <%=cbDatosInv %>
                                    </td>
                                </tr>
                            </table>

                            <br />

                            <fieldset>

                                <table width="100%">
                                    <tr>
                                        <td>Ejercicio:</td>
                                        <td>
                                            <%=cbEjercicio %>
                                        </td>
                                        <td>
                                            <table width="100%">
                                                <tr>
                                                    <td width="100%"></td>
                                                    <td>
                                                        <button type="button" onclick="Ver();" >
                                                            <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td width="100%"></td>
                                    </tr>
                                </table>

                            </fieldset>

                            <br />

                            <table class="SevenMsgExito">
                                <tr>
                                    <td style="font-size: 10pt; text-align: justify; white-space: normal; padding: 5px;">
                                        Reporte que muestra movimientos digitados en inventario y aún no aplicados a las existencias en él. Los movimientos digitados se puede <br />
                                        interpretar como que están al día en digitación pero no han aplicado porque dependen de otro proceso para poder aplicarlo, ejemplo no pueden <br />
                                        aplicar las rebajas de un día sin antes haber aplicado las compras y traslados de ese día.
                                        <br />
                                        El orden cronológico que debe respetar el encargado para aplicar por día para no causar conflictos en la existencia es la siguiente:

                                        
                                        <ul>
                                            <li>Compras</li>
                                            <li>Devoluciones</li>
                                            <li>Traslados</li>
                                            <li>Rebaja Automática</li>
                                            <li>Ajustes</li>
                                            <li>Toma Física (Inventario)</li>
                                        </ul>

                                        Por otro lado si los movimientos están digitados y no aplicados significa que las cifras contables aún no se han enviado a contabilidad.<br />
                                        Lo que se recomienda es que la fecha de inventario este atrasada 7 días de la fecha natural en lugares donde los movimientos son digitados y <br />
                                        procesados por pocas personas, esto para permitir digitar toda la información y aplicar con el orden cronológico sin que queda nada por fuera.
                                    </td>
                                </tr>
                            </table>

                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
