﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelMAN.Master" AutoEventWireup="true" CodeBehind="RPTManPermisos.aspx.cs" Inherits="Seven.DSS.RPTManPermisos" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>MAN - <%=L.TIT("PermisosDelUsuario") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function mostrarAjaxAplicacion(link, elem, id, elegir)
        {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdModulo": id, "Elegir": elegir
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>" },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    $("#cbAplicacion").attr("disabled", true);
                },
                success: function (json) {
                    $("#cbAplicacion").html(json.d);
                    $("#cbAplicacion").attr("disabled", false);
                    jQueryUIOtraVez();
                }
            });
        };

        function cargarAplicaciones(id){
            mostrarAjaxAplicacion('Servicio.svc/ConsultarAplicacionesCombo', 'ComboAplicacion', id, 0);
        }

        function Ver()
        {
            window.open('Informe.aspx?r=1010&u=' + $('#cbUsuario').val() + '&m=' + $('#cbModulo').val() + '&a=' + $('#cbAplicacion').val(), '_blank');
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#cbUsuario").val(<% Response.Write(c.ManUsuario); %>);
            $("#cbModulo").val(<% Response.Write(c.ManModulo); %>);
            mostrarAjaxAplicacion('Servicio.svc/ConsultarAplicacionesCombo', 'ComboAplicacion', <% Response.Write(c.ManModulo); %>, <% Response.Write(c.ManAplicacion); %>);

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/e-book-reader24.png" />
                                            </td>
                                            <td>
                                                <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTManPermisos.aspx">MAN - <%=L.TIT("PermisosDelUsuario") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 270px; height: 200px;">

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("PermisosDelUsuario") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                            </table>

                            <br />

                            <fieldset>

                            <table style="width: 60%;">
                                <tr>
                                    <td>Usuario: </td>
                                    <td colspan="4">
                                        <%=cbUsuario %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>Módulo:</td>
                                    <td>
                                        <%=cbModulo %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>Sub-Módulo:</td>
                                    <td>
                                        <select name="cbAplicacion" id="cbAplicacion" style="width: 180px;" disabled>
                                            <option value="0">--- Elija Módulo ---</option>
                                        </select>
                                    </td>
                                </tr>
                            </table>

                            </fieldset>

                            <br />

                            <table style="width: 100%;">
                                <tr>
                                    <td colspan="2">
                                        <table style="width: 100%;">
                                            <tr>
                                                <td style="width: 100%;"></td>
                                                <td>
                                                    <button type="button" onclick="Ver()" >
                                                        <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
