﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Log.aspx.cs" Inherits="Seven.DSS.Log" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("LblGENActivityLog") %></title>

    <script type="text/javascript">

        function buscar() {
            mostrarAjaxTabla('Servicio.svc/ConsultarLogSheet', 'TablaMaestraLogSheet', 1, document.getElementById('txtBuscar').value, "<% Response.Write(Request.Url.Authority); %>");
        }

        function pagina(numero, consulta) {
            mostrarAjaxTabla('Servicio.svc/ConsultarLogSheet', 'TablaMaestraLogSheet', numero, consulta, "<% Response.Write(Request.Url.Authority); %>");
        }

        function mostrarMaestro() { 
            mostrarAjaxTabla('Servicio.svc/ConsultarLogSheet', 'TablaMaestraLogSheet', <% if (!string.IsNullOrEmpty(Request.QueryString["p"]))
                                                                                   { 
                                                                                        Response.Write(Request.QueryString["p"]); 
                                                                                   }else{
                                                                                        Response.Write("1"); 
                                                                                   }%>
                                                                              , <% if (!string.IsNullOrEmpty(Request.QueryString["q"]))
                                                                                   { 
                                                                                        Response.Write("'" + Request.QueryString["q"] + "'"); 
                                                                                   }else{
                                                                                        Response.Write("' '"); 
                                                                                   }%>, "<% Response.Write(Request.Url.Authority); %>");
        }
    
        function mostrarAjaxTabla(link, elem, pagina, consulta, dominio)
        {
            var inicio = $('#fecini').val();
            var final = $('#fecfin').val();
            $.ajax({
                type: "GET",
                url: link,
                data: { "Inicio": inicio, "Final": final, "Pagina": pagina
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"  },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    $("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    $("#" + elem).html(json.d);
                    jQueryUIOtraVez();
                }
            });
        };
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            mostrarMaestro();

        });
    </script>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/e-book-reader24.png" />
                                            </td>
                                            <td>
                                                <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="Log.aspx"><%=L.TIT("LblGENActivityLog") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 1000px;">
                        <table>
                            <tr>
                                <td>
                                    <span class="SevenTitulo"><%=L.TIT("LblGENActivityLog") %></span>
                                </td>
                                <td>&nbsp;&nbsp;&nbsp;</td>
                                <td>
                                    <div class="SevenEnlaces">
                                        <table>
                                            <tr>
                                                <td>
                                                    <a href="Ayuda/HLPLog.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <table>
                            <tr>
                                <td><%=L.LBL("LblGENStart") %>: </td>
                                <td>
                                    <input type="text" id="fecini" name="fecini" class="eligeFecha" onchange="mostrarMaestro();" value="<% Response.Write(String.Format("{0:d}", Inicio)); %>" />
                                </td>
                                <td><%=L.LBL("LblGENEnd") %>: </td>
                                <td>
                                    <input type="text" id="fecfin" name="fecfin" class="eligeFecha" onchange="mostrarMaestro();" value="<% Response.Write(String.Format("{0:d}", Final)); %>" />
                                </td>
                            </tr>
                        </table>

                        <div id="TablaMaestraLogSheet"></div>
                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
